Post Reply 
 
Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
ZevenOS Hardware Manager verweigert fglrx Installation
11-16-2013, 06:29 PM (This post was last modified: 11-17-2013 07:33 AM by BinarySoul.)
Post: #1
ZevenOS Hardware Manager verweigert fglrx Installation
Hallo,

ich hab grad Neptune installiert nach meiner Betriebsystem-das-meine-grafikkarte-unterstützt-odysee und oh man.. Neptune UNTERSTÜTZT SIE! Naja theoretisch.

Denn die ZevenOsHardwareverwaltung zeigt mir den fglrx 1:12-6+point-3(stable) an. Ein klick auf "installieren" startet die Installation und ich werde aufgefordert mein Passwort einzugeben. Das hingegen, immer falsch zu sein scheint.

Also das Sudo Passwort ist falsch, das Root-Passwort ebenso.
In der Console kann ich mich mit "su" und eben jenem Passwort problemlos einloggen. Und für alles andere wird das sudoer-user PW gefragt, was ebenfalls korrekt ist. Nur dieser eine Dialog zum installieren des einzigen Grundes wieso ich dieses OS nutze, behauptet konsequent mein PW sei falsch.

Kann mir bitte jemand sagen, was ich da tun soll?
(PS ausloggen und direkt als root rein geht nicht, das hat man lächerlicher weise mit einem "root login not allowed" schildchen geblockt ^^)


Ps:
Direktes Ausführen im Terminal bringt mir:

Code:
VoidByte@neptune:~$ sudo sh /usr/bin/install-fglrx.sh
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
        LANGUAGE = "",
        LC_ALL = (unset),
        LANG = "de_DE.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
/usr/bin/install-fglrx.sh: 20: /usr/bin/install-fglrx.sh: Syntax error: word unexpected (expecting ")")
darauf hin hab ichs dann mit
Code:
VoidByte@neptune:~$ sudo dpkg-reconfigure locales

probiert was wiederrum das hier herausbrachte:
Code:
VoidByte@neptune:~$ sudo sh /usr/bin/install-fglrx.sh
/usr/bin/install-fglrx.sh: 20: /usr/bin/install-fglrx.sh: Syntax error: word unexpected (expecting ")")
Find all posts by this user
Quote this message in a reply
11-16-2013, 07:37 PM
Post: #2
RE: ZevenOS Hardware Manager verweigert Passwort
Dann versuche die Treiber mal manuell zu installieren mit
Code:
sudo apt-get install fglrx-driver=1:12-6+point-3 fglrx-control=1:12-6+point-3 fglrx-modules-dkms=1:12-6+point-3

Es könnte durchaus sein, dass ein Update das install-fglrx.sh zerschossen hat. Sieht mir jedenfalls danach aus, dass die Zeile 19 dort etwas zu lang geraten ist. Das benötigt etwas Zeit zum fixen. Ich hoffe, dass der obere Befehl für dich klappt. Das Script macht im Grunde genommen nichts anderes (außer, dass es vorher eine immer länger werdende Liste an Grafikkarten-IDs checkt ob diese mit dem angebotenen Treiber kompatibel ist) .
Visit this user's website Find all posts by this user
Quote this message in a reply
11-17-2013, 04:33 AM
Post: #3
RE: ZevenOS Hardware Manager verweigert Passwort
Also ich hab den Befehl versucht und er sagt mir halt das er noch mehr Pakete braucht, die hab ich jetzt auch alle dazu geschrieben, aber beim letzten weiß ich nicht was ich tun soll, da apt meint "kann nicht installiert werden".

Code:
VoidByte@neptune:~$ sudo apt-get install fglrx-driver=1:12-6+point-3 fglrx-control=1:12-6+point-3 fglrx-modules-dkms=1:12-6+point-3 fglrx-glx-ia32=1:12-6+point-3 fglrx-atieventsd=1:12-6+point-3 libgl1-fglrx-glx=1:12-6+point-3
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.      
Statusinformationen werden eingelesen.... Fertig
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
fglrx-driver : Hängt ab von: libfglrx (= 1:12-6+point-3) aber 1:13.4-3neptune1 soll installiert werden
                Empfiehlt: libgl1-fglrx-glx-i386 ist aber nicht installierbar
libgl1-fglrx-glx : Hängt ab von: libfglrx (= 1:12-6+point-3) aber 1:13.4-3neptune1 soll installiert werden
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.
Find all posts by this user
Quote this message in a reply
11-17-2013, 12:53 PM (This post was last modified: 11-17-2013 12:54 PM by leszek.)
Post: #4
RE: ZevenOS Hardware Manager verweigert fglrx Installation
Brauchst du denn unbedingt den 12-6er Treiber oder geht es nicht auch mit dem 13-2er ?
Falls es auch mit dem neueren gehen würde dann brauchst du die =Versionsangabe beim installieren mit apt-get nicht.
Visit this user's website Find all posts by this user
Quote this message in a reply
11-17-2013, 01:08 PM (This post was last modified: 11-17-2013 01:19 PM by BinarySoul.)
Post: #5
RE: ZevenOS Hardware Manager verweigert fglrx Installation
Ich hab von Ubuntu-stable über Mint, Peppermint, Zorin, Debian-stable, Kali, SuSe und Gentoo alle Distributionen durch. ALLE supporten meine Grafikkarte, bieten aber keine 3D beschleunigung. (vor ArchLinux hab ich noch ein bisschen Angst.)

Das bedeutet: glxgears funktioniert zwar (allerdings nur mit 60 FPS), und theoretisch auch der Compiz Firlefanz, aber PC spiele die Direct 3D erfordern laufen mehr oder minder im Standbild modus.

Neptune ist tatsächlich die ERSTE Distri, die mir sagt das es einen Treiber gäbe für meine Grafikkarte und um ehrlich zu sein, schätze ich durchaus das ich genau diesen Treiber dann auch brauche.

Aber ich bin da nicht so versiert das ich das in Stein meisseln würde. Ich denke es einfach nur. Wenns so ne große Auswahl gäbe, dann würde ich ja längst wo einen gefunden haben, schätz ich.

Hab die Graka mal verlinkt, vielleicht sehen Technisch-begabtere da n hinweis was das Problem ist.

Man könnte natürlich jetzt sagen: Nimm doch Windows, da funzt alles problemlos.
Das stimmt zwar, und momentan bleibt mir auch nichts anderes über, aber, ich will ja eigentlich WEG von Windows, weil abgesehen von 3D Spielen, da nix gut is.
Find all posts by this user
Quote this message in a reply
11-17-2013, 02:54 PM
Post: #6
RE: ZevenOS Hardware Manager verweigert fglrx Installation
ATI/AMD hat deine Karte als zu alt eingestuft für den aktuellen Treiber, deshalb gibts nur noch den alten fglrx-legacy Treiber, den du über den Befehl

Code:
sudo apt-get install fglrx-legacy-driver fglrx-legacy-modules-dkms libgl1-fglrx-legacy-glx
installieren kannst.
Falls das nicht funktioniert kann ich dich nur auf die amd Seite verweisen und dort auf den Download des 12.6er Treibers, der noch kompatibel sein sollte mit deiner Karte. (ob der Treiber jedoch kompatibel ist mit unserem 3.10er Kernel kann ich nicht sagen)
Visit this user's website Find all posts by this user
Quote this message in a reply
11-19-2013, 07:59 AM (This post was last modified: 11-19-2013 08:53 AM by BinarySoul.)
Post: #7
RE: ZevenOS Hardware Manager verweigert fglrx Installation
Code:
VoidByte@neptune:~$ sudo apt-get install fglrx-legacy-driver fglrx-legacy-modules-dkms libgl1-fglrx-legacy-glx
[sudo] password for VoidByte:
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.      
Statusinformationen werden eingelesen.... Fertig
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
fglrx-legacy-driver : Hängt ab von: glx-alternative-fglrx (>= 0.3)
                       Empfiehlt: libgl1-fglrx-legacy-glx-i386 ist aber nicht installierbar
                       Empfiehlt: fglrx-legacy-atieventsd soll aber nicht installiert werden
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.

und was den Hersteller Treiber angeht, kenn ichs mittlerweile auswendig;
Quote:Description:
Automated installer and Display Drivers for Xorg 6.9 to Xserver 1.12 and Kernel version up to 3.4

Tja, also dann doch wieder alles beim alten, da ich ja kaum hier mal eben vorbei schauen kann um meinen Kernel zu downgraden werd ich wohl oder übel auf Linux verzichten müssen. Ich sage jedenfalls vielen Dank für die Hilfe und weiterhin viel Erfolg, Neptune 3 ist klasse!
Find all posts by this user
Quote this message in a reply
11-19-2013, 01:24 PM
Post: #8
RE: ZevenOS Hardware Manager verweigert fglrx Installation
Halt nicht so schnell aufgeben.
Das kriegen wir doch sicherlich gelöst Wink
Also ich habe mal das glx-alternative-fglrx Paket geupdated.
Jetzt sollte der nicht mehr meckern und eigentl. installieren. Probiere es bitte mal aus Smile
Visit this user's website Find all posts by this user
Quote this message in a reply
11-19-2013, 09:00 PM
Post: #9
RE: ZevenOS Hardware Manager verweigert fglrx Installation
Sooo, also erstmal 1000 Dank das du dich so darum kümmerst, das ist weit mehr als ich je erwartet hätte.

Die installation des Pakets verlief weitesgehend fehlerfrei. Danach habe ich dann den restlichen Schwung dazu installiert. Ebenfalls fehlerfrei. Ich also erstmal den Sekt aus dem Kühlschrank, Partyhütchen aufgesetzt und Tröte in den Mund, da

Code:
sudo aticonfig --initial
auch nicht gemekert hatte und dann neustart.
Und da war die Partystimmung auch leider im Keller. Nach einem etwas komischen System-ladebild (kein Neptune-Logo mit weißem Balken sondern 3 sich überlappende Balken um unteren Bildschirmrand die auf eine schrift (Neptun 3.0) zulaufen) blieb der Bildschirm einfach pechschwarz. Auch STRG+ALT+F2/F3 haben mir da nicht raus geholfen. Kein STRG+C .. nix.

Mir blieb nichts anderes über als die von aticonfig generierte xorg.conf manuell zu löschen mittels live stick. Danach konnte ich dann in die Bash Booten und dort dann den fglrx mittels apt-get purge wieder rauswerfen.

Das hat leider nicht funktioniert.

Anbei noch die konsolenlogs von den beiden paketinstallationen, die ich der länge halber lieber als txt anhänge, und die vom treiber generierte xOrg.conf

PS: Das Anhängen von txt Dateien ist vom Forum verboten, also gibts die im Paket


Attached File(s)
.gz  installationslogs.tar.gz (Size: 2.79 KB / Downloads: 10)
Find all posts by this user
Quote this message in a reply
11-19-2013, 09:44 PM (This post was last modified: 11-19-2013 09:45 PM by leszek.)
Post: #10
RE: ZevenOS Hardware Manager verweigert fglrx Installation
Interessanter wäre hier die /var/log/Xorg.0.log wenn du einen schwarzen Bildschirm bekommst. Hier würde dann nämlich drinnen stehen warum der Treiber mit deiner Karte nicht will. Der Treiber selbst wurde ja erfolgreich installiert wie man es in den Installationslogs sehen kann.
Evtl. kannst du das nochmal ausprobieren und mir die /var/log/Xorg.0.log zukommen lassen (text Dateien sollten schon im Forum upgeloaded werden können müssen aber die endung txt tragen, soweit ich das richtig sehe.). Du kannst natürlich bei Textdateien auch einfach deren Inhalt hier als quote reinkopieren.
Visit this user's website Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)